﻿// SVG保存
(function(){
    var folderObj = Folder.selectDialog ("保存するフォルダを選択してください");
    if (!folderObj){ return; }    // キャンセルされたら何もしない
    // アートボードの数だけ繰り返す
    var ab = app.activeDocument.artboards;
    for(var i=0; i<ab.length; i++){
        ab.setActiveArtboardIndex(i);
        var aName = ab[i].name;
        var fileObj = new File(folderObj.fsName + "/" + aName + ".svg");
        saveSVG(fileObj);
    }
    // Save SVG関数
    function saveSVG(fileObj){
        var exportOptions = new ExportOptionsSVG();
        var type = ExportType.SVG;
        // DTDを指定。SVG1.1を指定
        exportOptions.DTD = SVGDTDVersion.SVG1_1;
        // 画像を埋め込む
        exportOptions.embedRasterImages = true;
        // 小数点以下の桁数は3
        exportOptions.coordinatePrecision = 3;
        // 文字のエンコーディング。UTF-8に設定。
        exportOptions.documentEncoding = SVGDocumentEncoding.UTF8;
        // 全てのフォントを埋め込む
        exportOptions.embedAllFonts = false;
        // 使用される文字のみ
        exportOptions.fontSubsetting = SVGFontSubsetting.GLYPHSUSED;
        // SVG形式で保存
        app.activeDocument.exportFile(fileObj, type, exportOptions);
    }
})();
